Bug 462044 - mod_ssl: add dynamic locking upcalls
mod_ssl: add dynamic locking upcalls
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: httpd (Show other bugs)
5.0
ppc Linux
medium Severity medium
: rc
: ---
Assigned To: Joe Orton
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-12 03:20 EDT by Joe Orton
Modified: 2009-09-03 09:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:07:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2008-09-12 03:20:43 EDT
Description:
mod_ssl does not configure OpenSSL's dynamic mutex callbacks.  This prevents
the OpenSSL ENGINEs used by some hardware crypto devices (notably
nCipher) from working properly.

This bug has been fixed upstream and is proposed for backport to 2.2.x:
http://svn.apache.org/viewvc?view=rev&revision=687550
http://svn.apache.org/viewvc?view=rev&revision=687819
Comment 1 RHEL Product and Program Management 2008-09-12 03:28:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Chris Ward 2008-11-28 02:02:07 EST
~~ Attention ~~ We Need Testing Feedback Soon ~~

We're nearing the end of the Red Hat Enterprise Linux 5.3 Testing Phase and this bug has not yet been VERIFIED. This bug should be fixed in the latest RHEL53 Beta Snapshot. It is critical that we receive your feedback ASAP. Otherwise, this bug is at risk of being dropped from the release. 

If you encounter any new issues, CLONE this bug and describe the new issues you are facing. We are no longer excepting NEW bugs into the release, bar critical regressions and blocker issues.

If you have VERIFIED this fix, add CustomerVerified to the Bugzilla Keywords, along with a description of the test results.
Comment 7 Josef Zila 2008-12-10 11:26:05 EST
Could you please ask for testing status again? We need this bug verified as soon as posible.
Comment 9 errata-xmlrpc 2009-01-20 16:07:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0185.html

Note You need to log in before you can comment on or make changes to this bug.